/* -------------------------------------------------------
src: https://gitlab.com/gitlab-org/gitlab/-/blob/master/app/assets/stylesheets/fonts.scss

Inter variable font.

Usage:
  html { font-family: 'GitLab Sans', sans-serif; }
*/
@font-face {
  font-family: 'GitLab Sans';
  font-weight: 100 900;
  font-display: optional;
  font-style: normal;
  font-named-instance: 'Regular'; /* stylelint-disable property-no-unknown */
  src: url('../fonts/gitlab/gitlab-sans/GitLabSans.woff2') format('woff2');
}

/* -------------------------------------------------------
Monospaced font: JetBrains Mono.

Usage:
  html { font-family: 'JetBrains Mono', sans-serif; }
*/
@font-face {
  font-family: 'JetBrains Mono';
  font-display: optional;
  font-style: normal;
  src: url('../fonts/gitlab/jetbrains-mono/JetBrainsMono.woff2') format('woff2');
}

@font-face {
  font-family: 'JetBrains Mono';
  font-display: optional;
  font-weight: bold;
  src: font-url('../fonts/gitlab/jetbrains-mono/JetBrainsMono-Bold.woff2') format('woff2');
}

@font-face {
  font-family: 'JetBrains Mono';
  font-display: optional;
  font-weight: normal;
  font-style: italic;
  src: font-url('../fonts/gitlab/jetbrains-mono/JetBrainsMono-Italic.woff2') format('woff2');
}

@font-face {
  font-family: 'JetBrains Mono';
  font-display: optional;
  font-weight: bold;
  font-style: italic;
  src: font-url('../fonts/gitlab/jetbrains-mono/JetBrainsMono-BoldItalic.woff2') format('woff2');
}

// This isn't the best solution, but we needed a quick fix
// https://gitlab.com/gitlab-org/gitlab/-/merge_requests/107592/
* {
  font-variant-ligatures: none;
}
